Page MenuHomePhabricator

Organize Get Stuff Done Day at the Wikimedia developer Summit
Closed, ResolvedPublic

Description

The intent of this task is to plan for the hackathon to be conducted at the dev summit

Moved from the Program page

Unscheduled discussion, social & hackathon day.

Location: Golden Gate Club, Presidio, San Francisco, USA

Participants will have access to food, drinks, wifi & breakouts spaces and can use their time as they see fit. This is the day we start to make progress on all the things we discussed during the Developer Summit!

We will also have an closing at the end of the day with an event showcase.

Event Timeline

Here are a few immediate action points for this task that I can start working on:

  • Create a wiki page that includes a brief overview of what this day is going to be about.
  • Add to the wiki a 'Participant info' table where people could add information such as name, a couple of sentences about their interests, link to Phabricator tasks that they plan to be working on the hackathon (say that this could be updated later), preferred mode of communication
  • Add to the wiki a 'Projects ' section which we ask people to update during/after the event as they make progress on their projects
  • Highlight on the top of this page: Information about the online event T150152 that we intend to run before the event. We link another wiki page from here explaining details about the online event, when and where it will take place, sign up, and a how to participate section

@Qgil @bd808 to your thoughts about hackathon projects: I am wondering that when we do the outreach for the online event, we ask people to create tasks on Phabricator and import them to the summit workboard (only if they already know what projects they will work on). We do the same after we conclude the online event, hoping that a few new project ideas will emerge out of it.

In addition to being a "hacking day" I think its fine to allow people just to chat, hang out, have meetings, or figure out what they are going to do during day 1 & 2 of the summit.
The reason we added this day was that more time to react to the rest of the event was needed.

I agree that some people might like to have a plan in advance, but I don't want to enforce that or pressure people into that.

Thanks for taking this to the next step @srishakatux :)

@Rfarrand Sounds good :) I will add your suggestions in the overview section of the wiki I plan to create!

I have two different projects that I know I want to try and make time for at this hackathon, but this is a pretty radical departure from my "plans" for the last 4-5 Wikimedia/MediaWiki hackathons I have attended. I usually plan to show up and find out who needs help that I can provide.

I second @Rfarrand's idea of making a space to track and promote things but keeping that optional. The basic plan from @srishakatux looks like a good one for that tracking space though. I would not be at all surprised to find at the end of the day that most of the really cool projects come about as a result of people taking on days 1 and 2 and then deciding on day 3 to crank out a quick POC for some idea that is new to them. This hack day is a bit different from our normal EU hackathon event too in that it will be all or nearly all experienced contributors, so a lot of the 'get people involved' sort of things probably won't be needed.

These are notes from a brainstorming sessions that Srishti and I had!

  • Flip charts around hacking rooms, projects in big letters
    • Formula for flip charts "title, summary, needs"
  • Some table signs
  • People can present that they worked on at the day 3 closing
  • Lots of IRC updates

--Decide how people can signal using IRC that they need help with something?

  • Projects go on the wiki!!
  • Sign up area at hackathon, sign up for things that people are willing to help with.
    • use info from registration & let people sign up at event
    • skill sets listed, let people add names after skillsets.
    • have "other" section
    • it has "I can help you meet people" "I can help you learn about wikimedia tech history" "I can help you learn specific skills"
    • Srishti & Rachel will create this board on a white wall at the event with post-its.
  • I need help with board
    • match people who need help with people who can offer help
  • Need a resources section on the wiki,
    • Use Phab
    • Use IRC
    • Vagrant
    • and more stuff....

-Project information and instruction & update on the projector.

Do we need a name for the "third day"? Is it "Hackathon" the name? I agree that just being there and having casual chats as they come or attend casual meetings as they are organized is just as valuable. I kind if fear that "hackathon" will give the impression that if you are not coding on that day you'd rather not even come to the venue?

Qgil moved this task from Backlog to Organization on the Wikimedia-Developer-Summit board.

Good point.. Hmmm
I am not saying I like any of these ideas, just brainstorming...

Productivity Day
Work Day
Progress Day
Hacking Day
Unscheduled Day
Tech Day
Free Day (don't like this at all, because it is still a day that should be taken seriously)
Choose-your-own-adventure-day (just a joke...)

ummm, I am not coming up with anything great. Any other ideas? Maybe i can send and email to cep@ and see if they can help!

Makeathon (not everything is code - but all is making things)
Progress Congress (I like it because it rhymes)
Creative Coding Day
Community Contributor Coven
Get away from a computer and talk to the person in front of you Day (Half tongue-in-cheek)
Wikimedia Workshop Wednesday (Like Taco Tuesday!)
Get Stuff Done Day (There's a more crude version of this)
Community Building Day
Ok, now what? Day
Peer Wikimedian Day
Bitcamp/Bytecamp
Wikishop (get it‽ Like Workshop but with Wiki instead of Wor...I'll see myself out)
Experimentation Expo
Show and Tell Day
How do you describe what you do with your time to your family? Day

Hodgepodge Day
Developer Smorgasbord
Phabricator Potluck

Apparently I'm hungry. :)

@CKoerner_WMF I'm awestruck! :) This list is so awesome. thank you :)

I liked "Peer Wikimedian Day", "Wikimedia Workshop Wednesday", and "Wikishop" a lot.

Rfarrand added a comment.EditedDec 13 2016, 10:55 PM

!! I love Creative Coding Day !

Wikimedia Workshop Wednesday sounds good, but we wont have any workshops sooooo... haha, I don't think we can go with that. :)
Agree that Peer Wikimedian Day and Wikishop would work.

Phabricator Potluck is something that @Aklapper should organize sometime.... ;)

srishakatux added a comment.EditedDec 14 2016, 3:32 AM

I've created a page 'Hack Day' for the unscheduled day https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Hack_Day and 'Pre-summit Meetup' for the online event related to unscheduled day
https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Pre-summit_Meetup. Once we decide the name for the unscheduled day, I will update the wiki pages accordingly. @Rfarrand @Qgil Feel free to make changes or suggest missing items/ sections here.

Qgil added a comment.Dec 14 2016, 9:05 AM

The problem I see with "Creative Coding Day" is that it kind of drives away those who don't code or won't be in coding mood.

Get Stuff Done Day

It's bold and I like it.

Peer Wikimedian Day

P2P Day? It doesn't get shorter than this.

A challenge day: one day to have things done.

If the connotation of the word "hack" is too codey, it's going to be workshops. Though "workshops" might imply commitment to stay at some place. So "Get Stuff Done Day" feels pretty nice. My two cents.

"Hack Mode Day" (http://www.catb.org/jargon/html/H/hack-mode.html – it implies focusing on what you're doing, whether that's code or design or something else)

@srishakatux & @Qgil & I have meet. We are going with "Get Stuff Done Day"

Thanks to everyone for ideas! :)

Qgil renamed this task from Organize hackathon at the dev summit to Organize Get Stuff Done Day at the Wikimedia developer Summit.Dec 20 2016, 10:12 AM
Qgil updated the task description. (Show Details)Dec 20 2016, 10:14 AM
Qgil added a comment.Dec 20 2016, 10:18 AM

I have added the details we know about the Get Stuff Done Day to https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Program#Wednesday.2C_January_11th

I think we need to pay more attention to the beginning of the day. When are the doors open? Is there a session to welcome people, introduce the day, and start organizing groups? Or are people expected to arrive knowing what to do and purely self-organize themselves?

We need a wiki page documenting this day, indeed.

I have added the details we know about the Get Stuff Done Day to https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Program#Wednesday.2C_January_11th

Thanku :) looks great!

I think we need to pay more attention to the beginning of the day. When are the doors open? Is there a session to welcome people, introduce the day, and start organizing groups? Or are people expected to arrive knowing what to do and purely self-organize themselves?

@Rfarrand and I talked about how we are going to organize this day in our dev sprints, and I think we have some idea on how this day will roll. We could definitely define it more, during the first week of Jan.

We need a wiki page documenting this day, indeed.

We already have a wiki page by the name 'Get Stuff Done Day' where there is an ongoing projects section for people to list their projects. What else do you think?

srishakatux closed this task as Resolved.Jan 17 2017, 11:25 PM
Qgil awarded a token.Jan 18 2017, 11:12 AM